conflict between inetutils-ping and iputils-ping during bootstrapping phase

Bug #996839 reported by Jean-Baptiste Lallement on 2012-05-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lxc (Ubuntu)
Medium
Stéphane Graber
Precise
Medium
Stéphane Graber
Quantal
Medium
Stéphane Graber

Bug Description

when bootstrapping a Precise amd64 container the following error is displayed in the log.
"""
dpkg: regarding .../inetutils-ping_2%3a1.8-6_amd64.deb containing inetutils-ping:
 inetutils-ping conflicts with ping
  iputils-ping provides ping and is present and unpacked but not configured.
dpkg: error processing /var/cache/apt/archives/inetutils-ping_2%3a1.8-6_amd64.deb (--unpack):
 conflicting packages - not installing inetutils-ping
Errors were encountered while processing:
 /var/cache/apt/archives/inetutils-ping_2%3a1.8-6_amd64.deb
/usr/sbin/debootstrap: 49: printf: %3a: invalid directive
"""

After retrying a couple of times bootstrapping continues and finishes successfully. bootstrap log attached.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: lxc 0.8.0~rc1-4ubuntu5
ProcVersionSignature: Ubuntu 3.4.0-1.3-generic 3.4.0-rc5
Uname: Linux 3.4.0-1-generic x86_64
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
Date: Tue May 8 16:19:16 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64+mac (20120328)
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: lxc
UpgradeStatus: No upgrade log present (probably fresh install)

----

[impact]
Slows down chroot building, spam log with errors and installs useless/broken packages.

[test case]
1) lxc-create -t ubuntu -n p1
2) grep error /var/lib/lxc/p1/rootfs/var/log/bootstrap.log

Here, 2) shouldn't return the dpkg failure listed above.

[regression potential]
Unless people expected their debootstrap to take twice the usual time, I don't see any "regression" possible with clearing the list of broken packages we try (and fail) to install.

Jean-Baptiste Lallement (jibel) wrote :
Serge Hallyn (serge-hallyn) wrote :

Thanks, Jean-Baptiste.

We are specifying inetutils-ping in the list of packages to explicitly install, and should probably stop that.

I'm assigning to Stephane since he was going to look through all the package lists and verify/trim them.

Changed in lxc (Ubuntu):
status: New → Triaged
importance: Undecided → Low
assignee: nobody → Stéphane Graber (stgraber)
Stéphane Graber (stgraber) wrote :

Right, I'll try and go through the list of packages we hardcode in the template and get a list of conflicts (if inetutils-ping/iputils-ping isn't the only one) and a list of improvements (for example resolvconf shouldn't be in the list as it's in bad shape pre-precise and is there by default since precise).

I'll then upload a new lxc to quantal and cherry-pick the important fixes for a precise SRU (to be uploaded once the current one is moved to -updates).

Changed in lxc (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
Changed in lxc (Ubuntu Quantal):
importance: Low → Medium
Changed in lxc (Ubuntu Precise):
assignee: nobody → Stéphane Graber (stgraber)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxc - 0.8.0~rc1-4ubuntu8

---------------
lxc (0.8.0~rc1-4ubuntu8) quantal; urgency=low

  * Update lxc-ubuntu:
    - Update list of extra packages for debootstrap to only include vim
      and ssh. The others were only relevant when we were still using the
      minbase variant. (LP: #996839)
    - Drop any hardcoded Ubuntu version check and replace by feature
      checks instead.
    - Format lxc-ubuntu to consistently use 4-spaces indent instead of
      mixed spaces/tabs.
    - Update default /etc/network/interfaces to include the header.
    - Update default /etc/hosts to match that of a regular Ubuntu system.
    - Drop support for end-of-life releases (gutsy on sparc).
    - Make sure /etc/resolv.conf is valid before running any apt command.
    - Update template help message for release and arch parameters.
    - Switch default Ubuntu version from lucid to precise.
  * Update lxc-start-ephemeral:
    - Remove lxc-ip and replace it by a call to "ip netns" until we have
      an extended lxc-attach we can use for that.
    - Fix a race in lxc-start-ephemeral where the container isn't yet
      running when trying to get its IPs.
    - Update a few calls so that lxc-start-ephemeral can be called as a
      user (ensure consistent usage of sudo across the script).
  * Add new lxc-default-with-nesting apparmor profile, allowing nested
    containers.
 -- Stephane Graber <email address hidden> Fri, 18 May 2012 19:05:44 -0400

Changed in lxc (Ubuntu Quantal):
status: Triaged → Fix Released
description: updated
description: updated
Changed in lxc (Ubuntu Precise):
status: Triaged → Fix Committed

Thanks for uploading the fix for this bug report to -proposed. However, when reviewing the package in -proposed and the details of this bug report I noticed that the bug description is missing information required for the SRU process. You can find full details at http://wiki.ubuntu.com/StableReleaseUpdates#Procedure but essentially this bug is missing some of the following: a statement of impact, a test case and details regarding the regression potential. Thanks in advance!

description: updated
description: updated

Hello Jean-Baptiste, or anyone else affected,

Accepted lxc into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Stéphane Graber (stgraber) wrote :

fix confirmed

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxc - 0.7.5-3ubuntu58

---------------
lxc (0.7.5-3ubuntu58) precise-proposed; urgency=low

  * Fix broken logic in lxc-ubuntu template where lxc.devttydir would be
    set to 'lxc' only for releases that don't support it. (LP: #1007493)

lxc (0.7.5-3ubuntu57) precise-proposed; urgency=low

  [ Serge Hallyn ]
  * 0083-always-close-all-fds.patch: Have lxc-start always run with
    --close-all-fds. There is no advantage to having lxc-start fail with
    inherited fds. (LP: #1003583)
  * debian/lxc-net.upstart: don't put '()' after call to cleanup.
    (LP: #1000174)

  [ Stéphane Graber ]
  * Sync lxc-ubuntu with the one in Quantal:
    - Bugfixes:
      + Update list of extra packages for debootstrap to only include vim
        and ssh. The others were only relevant when we were still using the
        minbase variant. (LP: #996839)
      + Update default /etc/hosts to match that of a regular Ubuntu system.
        (adds missing ipv6 aliases) (LP: #1004108)
      + Make sure /etc/resolv.conf is valid before running any apt command.
        Fixes a potential race condition (no report of it at this time).

    - Improvements we get by pulling the whole patch from Quantal.
      These don't contain any user behaviour change but will make
      cherry-picking any further change much easier.
      + Drop any hardcoded Ubuntu version check and replace by feature
        checks instead. This removes the need for SRUs whenever we release
        a new Ubuntu.
      + Format lxc-ubuntu to consistently use 4-spaces indent instead
        of mixed spaces/tabs.
      + Update default /etc/network/interfaces to include the header.
      + Drop support for never supported releases (gutsy on sparc).
      + Update template help message for release and arch parameters.
        Old string was only listing i386 and amd64, which is no longer
        accurate (as of 12.04).
        (This string isn't translated)
      + Switch default Ubuntu version from lucid to precise for systems
        that don't have lsb_release (won't affect Ubuntu)

  * Sync lxc-start-ephemeral with the one in Quantal:
    - Switch lxc-start-ephemeral from unreliable parsing of DHCP lease files
      to using "ip netns" to retrieve the IP from the container's network
      namespace. (LP: #994752)
    - Fix a race in lxc-start-ephemeral where the container isn't yet
      running when trying to get its IPs.
    - Update a few calls so that lxc-start-ephemeral can be called as a
      user (ensure consistent usage of sudo across the script). (LP: #1004069)
 -- Stephane Graber <email address hidden> Fri, 01 Jun 2012 11:46:50 -0400

Changed in lxc (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers